Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.platform
Class OsFamily

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--net.sf.antcontrib.platform.OsFamily

public class OsFamily
extends org.apache.tools.ant.Task

Task definition for the `OsFamily` task. This task sets the property indicated in the "property" attribute with the string representing the operating system family. Possible values include "unix", "dos", "mac" and "windows".

     Task Declaration:

       <taskdef name="osfamily" classname="net.sf.antcontrib.platform.OsFamily" />

     Usage:

       <osfamily property="propname" />

     Attributes:
       property --> The name of the property to set with the OS family name

Author:
  Matthew Inger

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`OsFamily()`

Method Summary
`void` | `execute()`
`void` | `setProperty(java.lang.String property)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OsFamily

    public OsFamily()

Method Detail

### setProperty

    public void setProperty(java.lang.String property)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD